import { defineComponent as t, createBlock as a, openBlock as n, unref as e, mergeProps as s, withCtx as r, renderSlot as i } from "vue";
import { DasBaseIcon as c } from "@das-fed/ui/packages/components/icon";
const p = '<?xml version="1.0" standalone="no"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN" "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><svg class="icon" width="200px" height="200.00px" viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg"><path d="M896 864a32 32 0 0 1 0 64H128a32 32 0 0 1 0-64h768z m0-256a32 32 0 0 1 0 64H128a32 32 0 0 1 0-64h768z m0-256a32 32 0 0 1 0 64H128a32 32 0 0 1 0-64h768z m0-256a32 32 0 0 1 0 64H128a32 32 0 1 1 0-64h768z" /></svg>', l = /* @__PURE__ */ t({
  __name: "index",
  setup(h) {
    return (o, m) => (n(), a(e(c), s({ icon: e(p) }, o.$attrs), {
      default: r(() => [
        i(o.$slots, "default")
      ]),
      _: 3
      /* FORWARDED */
    }, 16, ["icon"]));
  }
});
export {
  l as DasIconShituLiebiao
};
